Subject: Re: bug#46879: Non-deterministic failures while building Guix with Guile 3.0.5
From: Ludovic Courtès <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: [email-masked]
Date: Thu, 24 Mar 2022 09:31:13 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Maxim,

Maxim Cournoyer <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Ludovic Courtès <[email-masked]> skribis:
>>
>>> In gnu/services/mcron.scm:
>>>    132:13  0 (mcron-shepherd-services _)
>>>
>>> gnu/services/mcron.scm:132:13: In procedure mcron-shepherd-services:
>>> In procedure allocate-struct: Wrong type argument in position 1
>>> (expecting struct): #<procedure %shepherd-service?-procedure (obj)>
>>> builder for `/gnu/store/kp01hrirz40h7p7aim4dspajjv3yyvda-guix-system-tests.drv' failed with exit code 1
>>
>> Turns out this is not the first time such things are reported:
>>
>>   https://issues.guix.gnu.org/28858
>>   https://issues.guix.gnu.org/44402
>
> Just to confirm, is this fixed in the new Guile we are using?

I think so; I haven’t seen reports of such a thing since that one, but I
forgot exactly what we did back then.

Closing!

Ludo’.